--- title: "INE results (legacy)" slug: "v1sessionsiddecisionine-registry-1" updated: 2026-04-24T06:52:38Z published: 2026-04-24T06:52:38Z canonical: "devdocs.veriff.com/v1sessionsiddecisionine-registry-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://devdocs.veriff.com/llms.txt > Use this file to discover all available pages before exploring further. # INE results (legacy) Get/v1/sessions/{id}/decision/ine-registry ### Returns data about the INE identification number from the Mexican Electoral Registry - INE (Instituto Nacional Electoral - Mexican Electoral Registry) is the organization that issues voter ID cards and maintains the voters registry in Mexico #### When to use this endpoint - Use this endpoint to retrieve info about the state (active or inactive) of an INE identification number - Common use cases include: - Verifying the active status of an INE credential - Checking if an INE identification number exists in the registry - Retrieving human-readable status descriptions from the registry - Confirming credential validity for Mexican identity verification #### Response data - The response includes: - `active`: Boolean indicating if the INE credential is active or inactive in the registry - `documentState`: Human-readable description of the registry query status in Spanish - When the INE credential is not found in the registry, `active` will be `false` and `documentState` will contain a message indicating no data was obtained for the provided parameters. #### Implementation notes - This endpoint requires session-level [HMAC signature](https://devdocs.veriff.com/docs/hmac-authentication-and-endpoint-security#public-api-v1) authentication - The `version` query parameter is required to specify the API version for the registry check. - The `documentState` field returns messages as provided by the Mexican Electoral Registry. - Always ensure that you use the correct API URL to send requests. See the [API URL section](https://devdocs.veriff.com/apidocs/veriff-public-api-guides#api-url) for more info. - The order of parameters in the real API response can differ from the order you see in this documentation. This is expected and part of the [Backwards compatible changes](https://devdocs.veriff.com/apidocs/veriff-public-api-guides#backwards-compatible-changes) requirements. Header parametersX-AUTH-CLIENTstringRequired Your integration's API key (occasionally referred to as the "Token", "API public key" or "Publishable key"). Required for all API requests. You can find your API key in the Veriff Customer Portal > Settings > API keys. Exampleyour-api-key X-HMAC-SIGNATUREstringRequired Session ID signed with the shared secret key. Required to authenticate the request sender. Examplea1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6 Path parametersidstring (uuid) Required Verification session ID. Examplef04bdb47-d3be-4b28-b028-a652feb060b5 Query parametersversionstringRequired API version for the registry check Examplev1 Responses200 Result of the ine-registry check HeadersContent-TypestringResponse content type.Exampleapplication/json X-AUTH-CLIENTstringAPI key echoed back in response.Exampleyour-api-key X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender. Exampleb2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6a1 ine_credential_active INE identification number is active in the Mexican Electoral Registry ```json { "active": true, "documentState": "La credencial esta vigente" } ``` ine_credential_not_found INE identification number is not found in the Mexican Electoral Registry ```json { "active": false, "documentState": "No se obtuvieron datos de la consulta con los parĂ¡metros seleccionados" } ``` object Response containing INE registry validation results. activeboolean Indicates if the INE identification number is active (true) or inactive (false) in the Mexican Electoral Registry. Examplefalse documentStatestring Human-readable description of the registry query status in Spanish, as provided by the Mexican Electoral Registry. ExampleNo se obtuvieron datos de la consulta con los parĂ¡metros seleccionados 400 Bad request HeadersContent-TypestringResponse content type.Exampleapplication/json X-AUTH-CLIENTstringAPI key echoed back in response.Exampleyour-api-key X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender. Exampleb2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6a1 ```json { "status": "fail", "code": "1101", "message": "Validation failed" } ``` object statusstring Valid values[ "fail" ]Examplefail codestring Example1101 messagestring ExampleValidation failed 401 Unauthorized HeadersContent-TypestringResponse content type.Exampleapplication/json X-AUTH-CLIENTstringAPI key echoed back in response.Exampleyour-api-key ```json { "status": "fail", "code": "1101", "message": "Mandatory X-AUTH-CLIENT header containing the API key is missing from the request." } ``` object statusstring Valid values[ "fail" ]Examplefail codestring Example1101 messagestring ExampleMandatory X-AUTH-CLIENT header containing the API key is missing from the request. 404 Session not found HeadersContent-TypestringResponse content type.Exampleapplication/json X-AUTH-CLIENTstringAPI key echoed back in response.Exampleyour-api-key X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender. Exampleb2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6a1 ```json { "status": "fail", "code": "1101", "message": "Resource not found" } ``` object statusstring Valid values[ "fail" ]Examplefail codestring Example1101 messagestring ExampleResource not found 500 Internal server error HeadersContent-TypestringResponse content type.Exampleapplication/json X-AUTH-CLIENTstringAPI key echoed back in response.Exampleyour-api-key X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender. Exampleb2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6a1 ```json { "status": "fail", "code": "1101", "message": "Something went wrong" } ``` object statusstring Valid values[ "fail" ]Examplefail codestring Example1101 messagestring ExampleSomething went wrong Document Versioning **Changelog** | Date | Description | | --- | --- | | Apr 24, 2026 | Headers capitalization harmonized | | Apr 17, 2026 | Typo fixed | | Apr 1, 2026 | Typo fixed | | Mar 9, 2026 | Documentation updated: parent categories rearranged, intro section expanded, request and response examples added | | Oct 2, 2025 | `vrf-` headers removed from response headers | | Aug 6, 2025 | Response headers added | | Mar 12, 2025 | Documentation published |